Subject: [BUG] FL1009: xHCI host not responding to stop endpoint command.

From: [email-masked] (Arnaud Ebalard)
Date: Wed, 15 Jan 2014 20:04:45 +0100

Hi David,

David Laight <[email-masked]> writes:

>> I tried current 3.13.0-rc8 w/ 35773dac5f86 reverted and the result is
>> the same:
>
> That patch only affects an error code and stops the fs code retrying
> for ever.

Are you sure? ...

> Does everything work if you comment out the code in xhci-ring.c that adds
> NOP TRBs to the ring end in order to stop the LINK TRB appearing in the middle
> of a TB.
> The ethernet code needs it, but the disk transfers are (probably) aligned
> such that they don't.

... AFAICT, this is exactly what commit 35773dac5f86 does and reverting
it does not help. If I am mistaken, can you point which part you want me
to remove in the code to test?

I am slowly starting to see a bisect session coming ;-)

Cheers,

a+